#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var program = require('commander');
var merge_1 = require("./commands/merge");
var pull_1 = require("./commands/pull");
var status_1 = require("./commands/status");
var config_file_1 = require("./config-file");
var packageJson = require('../package.json');
program
    .version(packageJson.version);
program
    .command('status')
    .description('show status for all repos')
    .action(function () { return execCommand(status_1.status); });
program
    .command('pull')
    .alias('p')
    .description('hg pull on all repos')
    .action(function () { return execCommand(pull_1.pull); });
program
    .command('merge')
    .description('try merge all repos with latest default')
    .action(function () { return execCommand(merge_1.merge); });
program
    .parse(process.argv);
if (!process.argv.slice(2).length) {
    execCommand(status_1.status);
}
function execCommand(command) {
    config_file_1.getConfig()
        .then(function (config) {
        command(config);
    })
        .catch(function (err) { return console.error(err); });
}
