"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var hg_1 = require("../hg");
require("rxjs/add/operator/do");
var Observable_1 = require("rxjs/Observable");
var Listr = require('listr');
function status(config) {
    var projTasks = config.projects.map(function (project) {
        return {
            title: project.path,
            task: function (ctx, task) { return getProjectStatusTask(project, ctx, task); }
        };
    });
    var tasks = new Listr(projTasks, {
        concurrent: config.maxConcurrent || hg_1.MAX_CONCURRENT_HGS,
        exitOnError: false
    });
    tasks.run();
}
exports.status = status;
function getProjectStatusTask(project, _, task) {
    return Observable_1.Observable.create(function (subscriber) {
        var branchName;
        hg_1.getBranch(project.path)
            .subscribe(function (data) {
            branchName = data;
            subscriber.next(data);
        }, function (err) { return subscriber.error(err); }, function () {
            task.title = project.path + " - " + branchName;
            subscriber.complete();
        });
    });
}
